/*
 * Derived from Epic Fight (https://github.com/Epic-Fight/epicfight)
 * by the Epic Fight Team, licensed under GPLv3.
 * Modifications © 2026 TiedUp! Remake Contributors, distributed under GPLv3.
 */

package com.tiedup.remake.rig.event;

import net.minecraftforge.eventbus.api.Event;
import com.tiedup.remake.rig.anim.Animator;
import com.tiedup.remake.rig.patch.LivingEntityPatch;

public class InitAnimatorEvent extends Event {
	private final LivingEntityPatch<?> entitypatch;
	private final Animator animator;
	
	public InitAnimatorEvent(LivingEntityPatch<?> entitypatch, Animator animator) {
		this.entitypatch = entitypatch;
		this.animator = animator;
	}
	
	public LivingEntityPatch<?> getEntityPatch() {
		return this.entitypatch;
	}
	
	public Animator getAnimator() {
		return this.animator;
	}
}